<?php

namespace Picea\ControlStructure;

class CaseToken implements ControlStructure {

    public string $token = "case";

    public function parse(\Picea\Compiler\Context &$context, ?string $arguments, string $token, array $options = []) : string
    {
        $output = "";

        if ( $context->switchStack ) {
            array_pop($context->switchStack);
        }
        else {
            $output = "<?php ";
        }

        return ( $output ?? "" ) . "case $arguments: ?>";
    }
}
