<?php

namespace Picea\ControlStructure;

class ViewToken implements ControlStructure {

    public string $token = "view";

    public function parse(\Picea\Compiler\Context &$context, ?string $arguments, string $token, array $options = []) : string {
        # The way this is ordered, if you provide a second arguments, being an array of variables, get_defined_vars() will not be pushed inside the view
        return "<?php echo \$___class__template->picea->inlineHtml(\$this, $arguments, get_defined_vars()); ?>";
    }
}
