<?php

namespace Picea\Extension;

trait ExtensionTrait {

    protected function parseOptions(?string $options) : array
    {
        if ( $options ?? false ) {
            $attributes = eval("return $options;");

            if ( ! is_array($attributes) ) {
               throw new InvalidArgumentException("Given options `$options` is not a valid attributes array.");
            }

            return $attributes;
        }

        return [];
    }

    protected function trim(string $value) : string
    {
        $value = trim($value, " \t");

        if ( in_array(substr($value, 0, 1), [ "'", '"' ]) ) {
            if ( ! in_array(substr($value, strlen($value) - 1), [ "'", '"' ]) ) {
                throw new \InvalidArgumentException("Given argument `$value` string is not closed");
            }

            return substr($value, 1, -1);
        }

        return $value;
    }
}
