<?php

namespace Picea\Syntax;

class CommentToken implements Syntax {

    public string $token = "#";

    protected string $tokenOpen = "\{\#";

    protected string $tokenClose = "\#\}";

    public function parse(\Picea\Compiler\Context &$context, string &$sourceCode)
    {
        $sourceCode = preg_replace("#({$this->tokenOpen})(.*?)({$this->tokenClose})#s", "", $sourceCode);
    }

}
