<?php declare(strict_types=1);

namespace Picea\Builder;

class SourceFileBuilder {

    public array $section = [];

    protected string $fileName = "";

    protected string $filePath = "";

    protected string $namespace = "";

    protected string $code = "";

    public function fileInfo(string $name, string $path) : self
    {
        $this->fileName = $name;
        $this->filePath = $path;
        return $this;
    }
}
