<?php declare(strict_types=1);

namespace Picea\Language;

use Picea\Compiler;

interface LanguageRegistration
{
    public function registerSyntax(Compiler $compiler) : void;

    public function registerControlStructure(Compiler $compiler) : void;

    public function registerExtension(Compiler $compiler) : void;
}
